description

# DomMatrix class Null safety

Inheritance
  - Object
  - DomMatrixReadOnly
  - DomMatrix
Annotations
  - @Native("DOMMatrix")

## Constructors

DomMatrix([Object? init])
  factory

## Properties

a ↔ num?
  read / write, override-getter
b ↔ num?
  read / write, override-getter
c ↔ num?
  read / write, override-getter
d ↔ num?
  read / write, override-getter
e ↔ num?
  read / write, override-getter
f ↔ num?
  read / write, override-getter
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
is2D → bool?
  read-only, inherited
isIdentity → bool?
  read-only, inherited
m11 ↔ num?
  read / write, override-getter
m12 ↔ num?
  read / write, override-getter
m13 ↔ num?
  read / write, override-getter
m14 ↔ num?
  read / write, override-getter
m21 ↔ num?
  read / write, override-getter
m22 ↔ num?
  read / write, override-getter
m23 ↔ num?
  read / write, override-getter
m24 ↔ num?
  read / write, override-getter
m31 ↔ num?
  read / write, override-getter
m32 ↔ num?
  read / write, override-getter
m33 ↔ num?
  read / write, override-getter
m34 ↔ num?
  read / write, override-getter
m41 ↔ num?
  read / write, override-getter
m42 ↔ num?
  read / write, override-getter
m43 ↔ num?
  read / write, override-getter
m44 ↔ num?
  read / write, override-getter
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

flipX() → DomMatrix
  inherited
flipY() → DomMatrix
  inherited
inverse() → DomMatrix
  inherited
invertSelf() → DomMatrix
multiply([Map? other]) → DomMatrix
  inherited
multiplySelf([Map? other]) → DomMatrix
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
preMultiplySelf([Map? other]) → DomMatrix
rotate([num? rotX, num? rotY, num? rotZ]) → DomMatrix
  inherited
rotateAxisAngle([num? x, num? y, num? z, num? angle]) → DomMatrix
  inherited
rotateAxisAngleSelf([num? x, num? y, num? z, num? angle]) → DomMatrix
rotateFromVector([num? x, num? y]) → DomMatrix
  inherited
rotateFromVectorSelf([num? x, num? y]) → DomMatrix
rotateSelf([num? rotX, num? rotY, num? rotZ]) → DomMatrix
scale([num? scaleX, num? scaleY, num? scaleZ, num? originX, num? originY, num? originZ]) → DomMatrix
  inherited
scale3d([num? scale, num? originX, num? originY, num? originZ]) → DomMatrix
  inherited
scale3dSelf([num? scale, num? originX, num? originY, num? originZ]) → DomMatrix
scaleSelf([num? scaleX, num? scaleY, num? scaleZ, num? originX, num? originY, num? originZ]) → DomMatrix
setMatrixValue(String transformList) → DomMatrix
skewX([num? sx]) → DomMatrix
  inherited
skewXSelf([num? sx]) → DomMatrix
skewY([num? sy]) → DomMatrix
  inherited
skewYSelf([num? sy]) → DomMatrix
toFloat32Array() → Float32List
  inherited
toFloat64Array() → Float64List
  inherited
toString() → String
  Returns a string representation of this object.
  inherited
transformPoint([Map? point]) → DomPoint
  inherited
translate([num? tx, num? ty, num? tz]) → DomMatrix
  inherited
translateSelf([num? tx, num? ty, num? tz]) → DomMatrix

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

fromFloat32Array(Float32List array32) → DomMatrix
  override
fromFloat64Array(Float64List array64) → DomMatrix
  override
fromMatrix([Map? other]) → DomMatrix
  override